Index: LICENSE
===================================================================
--- LICENSE	(.../1.0.1)	(revision 183)
+++ LICENSE	(.../1.0.2)	(revision 183)
@@ -1,4 +1,5 @@
-# $Id: LICENSE 33 2005-10-02 20:50:00Z knight $
+# $Id$
+# $Hybrid: LICENSE 33 2005-10-02 20:50:00Z knight $
 		    GNU GENERAL PUBLIC LICENSE
 		       Version 2, June 1991
 

Index: include/irc_getnameinfo.h
===================================================================
--- include/irc_getnameinfo.h	(.../1.0.1)	(revision 183)
+++ include/irc_getnameinfo.h	(.../1.0.2)	(revision 183)
@@ -26,7 +26,8 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- *  $Id: irc_getnameinfo.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: irc_getnameinfo.h 33 2005-10-02 20:50:00Z knight $
  */
 
 extern int irc_getnameinfo(const struct sockaddr *sa, socklen_t salen, char *host,

Index: include/s_user.h
===================================================================
--- include/s_user.h	(.../1.0.1)	(revision 183)
+++ include/s_user.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_user.h 573 2006-05-01 09:40:37Z michael $
+ *  $Id$
+ *  $Hybrid: s_user.h 573 2006-05-01 09:40:37Z michael $
  */
 
 #ifndef INCLUDED_s_user_h

Index: include/ircd_getopt.h
===================================================================
--- include/ircd_getopt.h	(.../1.0.1)	(revision 183)
+++ include/ircd_getopt.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_getopt.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: ircd_getopt.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef __GETOPT_H_INCLUDED__

Index: include/m_info.h
===================================================================
--- include/m_info.h	(.../1.0.1)	(revision 183)
+++ include/m_info.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_info.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_info.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_m_info_h

Index: include/defaults.h
===================================================================
--- include/defaults.h	(.../1.0.1)	(revision 183)
+++ include/defaults.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: defaults.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: defaults.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_defaults_h

Index: include/packet.h
===================================================================
--- include/packet.h	(.../1.0.1)	(revision 183)
+++ include/packet.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: packet.h 163 2005-10-20 21:09:02Z adx $
+ *  $Id$
+ *  $Hybrid: packet.h 163 2005-10-20 21:09:02Z adx $
  */
 
 #ifndef INCLUDED_packet_h

Index: include/s_conf.h
===================================================================
--- include/s_conf.h	(.../1.0.1)	(revision 183)
+++ include/s_conf.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_conf.h 671 2006-06-13 07:15:38Z michael $
+ *  $Id$
+ *  $Hybrid: s_conf.h 671 2006-06-13 07:15:38Z michael $
  */
 
 #ifndef INCLUDED_s_conf_h

Index: include/channel.h
===================================================================
--- include/channel.h	(.../1.0.1)	(revision 183)
+++ include/channel.h	(.../1.0.2)	(revision 183)
@@ -21,7 +21,8 @@
 
 /*! \file channel.h
  * \brief Responsible for managing channels, members, bans and topics
- * \version $Id: channel.h 632 2006-06-01 10:53:00Z michael $
+ * \version $Id$
+ * \version $Hybrid: channel.h 632 2006-06-01 10:53:00Z michael $
  */
 
 #ifndef INCLUDED_channel_h

Index: include/whowas.h
===================================================================
--- include/whowas.h	(.../1.0.1)	(revision 183)
+++ include/whowas.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: whowas.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: whowas.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_whowas_h

Index: include/inet_misc.h
===================================================================
--- include/inet_misc.h	(.../1.0.1)	(revision 183)
+++ include/inet_misc.h	(.../1.0.2)	(revision 183)
@@ -2,7 +2,8 @@
  *	and definitions required to build ircd on some		*
  *	exotic platforms.					*
  *								*
- *	$Id: inet_misc.h 33 2005-10-02 20:50:00Z knight $							*
+ *	$Id$							*
+ *	$Hybrid: inet_misc.h 33 2005-10-02 20:50:00Z knight $							*
  *
  * Copyright (c) 1980, 1983, 1988, 1993
  *      The Regents of the University of California.  All rights reserved.

Index: include/channel_mode.h
===================================================================
--- include/channel_mode.h	(.../1.0.1)	(revision 183)
+++ include/channel_mode.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: channel_mode.h 759 2006-08-18 14:29:45Z michael $
+ *  $Id$
+ *  $Hybrid: channel_mode.h 759 2006-08-18 14:29:45Z michael $
  */
 
 

Index: include/ircd_handler.h
===================================================================
--- include/ircd_handler.h	(.../1.0.1)	(revision 183)
+++ include/ircd_handler.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_handler.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: ircd_handler.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_ircd_handler_h

Index: include/client.h
===================================================================
--- include/client.h	(.../1.0.1)	(revision 183)
+++ include/client.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: client.h 856 2007-02-27 02:58:49Z db $
+ *  $Id$
+ *  $Hybrid: client.h 856 2007-02-27 02:58:49Z db $
  */
 
 #ifndef INCLUDED_client_h
@@ -295,6 +296,7 @@
 #define IsServicesAdmin(x) ((x)->umodes & UMODE_SVCSADMIN)
 #define IsOper(x)		((x)->umodes & UMODE_OPER)
 #define IsAdmin(x)		((x)->umodes & UMODE_ADMIN)
+#define IsSnoop(x)      ((x)->umodes & UMODE_SNOOP)
 
 #define IsService(x)    \
           ((ServerInfo.services_name != NULL && \
@@ -395,6 +397,8 @@
 #define UMODE_CCONN_FULL   0x00040000 /* add unused fields to connection monitoring */
 #define UMODE_REGNICK      0x00080000 /* registered and identified with services */
 #define UMODE_REGONLY      0x00100000 /* only identified users can speak to me */
+#define UMODE_SNOOP        0x00200000 /* user can see through invisibility */
+#define UMODE_CAPTURED     0x00400000 /* user is silenced */
 
 /* user information flags, only settable by remote mode or local oper */
 #define UMODE_SVCSADMIN    0x20000000 /* Services administrator */
@@ -403,8 +407,9 @@
 
 #define UMODE_ALL	   UMODE_SERVNOTICE
 
-#define SEND_UMODES  (UMODE_INVISIBLE | UMODE_OPER | UMODE_WALLOP | \
-                      UMODE_ADMIN | UMODE_REGNICK | UMODE_REGONLY | UMODE_SVCSADMIN)
+#define SEND_UMODES  (UMODE_INVISIBLE | UMODE_OPER | UMODE_WALLOP | UMODE_ADMIN \
+                      | UMODE_REGNICK | UMODE_REGONLY | UMODE_SNOOP | UMODE_CAPTURED \
+                      | UMODE_SVCSADMIN)
 
 
 /* oper priv flags */
@@ -423,7 +428,7 @@
 #define OPER_FLAG_OPER_SPY     0x00001000 /* */
 #define OPER_FLAG_REMOTEBAN    0x00002000 /* */
 #define OPER_FLAG_HIDDEN_OPER  0x00004000 /* */
-#define OPER_FLAG_SNOOP        0x00008000 /* oper can see on +i users, +s channels */
+#define OPER_FLAG_SNOOP        0x00008000 /* oper can set umode +p */
 
 #define SetOFlag(x, y) ((x)->localClient->operflags |= (y))
 
@@ -473,6 +478,12 @@
 #define SetServicesAdmin(x)      ((x)->umodes |= UMODE_SVCSADMIN)
 #define ClearServicesAdmin(x)    ((x)->umodes &= ~UMODE_SVCSADMIN)
 
+#define SetSnoop(x)              ((x)->umodes |= UMODE_SNOOP)
+#define ClearSnoop(x)            ((x)->umodes &= ~UMODE_SNOOP)
+
+#define SetCaptured(x)           { ((x)->umodes |= UMODE_CAPTURED); (x)->handler = DUMMY_HANDLER; }
+#define ClearCaptured(x)         { ((x)->umodes &= ~UMODE_CAPTURED); (x)->handler = CLIENT_HANDLER; }
+
 /* umode flags */
 #define IsInvisible(x)          ((x)->umodes & UMODE_INVISIBLE)
 #define SendWallops(x)          ((x)->umodes & UMODE_WALLOP)
@@ -483,6 +494,7 @@
 #define IsFull(x)		((x)->umodes & UMODE_CCONN_FULL)
 #define IsRegNick(x)    ((x)->umodes & UMODE_REGNICK)
 #define IsSetRegisteredOnly(x)  ((x)->umodes & UMODE_REGONLY)
+#define IsCaptured(x)   ((x)->umodes & UMODE_CAPTURED)
 
 #define SetSendQExceeded(x)	((x)->flags |= FLAGS_SENDQEX)
 #define IsSendQExceeded(x)	((x)->flags &  FLAGS_SENDQEX)
@@ -543,10 +555,6 @@
 #define SetBursted(x)           ((x)->flags |= FLAGS_BURSTED)
 #define ClearBursted(x)         ((x)->flags &= ~FLAGS_BURSTED)
 
-#define IsCaptured(x)           ((x)->handler == DUMMY_HANDLER)
-#define SetCaptured(x)          ((x)->handler = DUMMY_HANDLER)
-#define ClearCaptured(x)        ((x)->handler = CLIENT_HANDLER)
-
 /* operflags macros */
 #define ClearOperFlags(x)	((x)->localClient->operflags = 0)
 #define IsOperGlobalKill(x)     (MyConnect(x) ? (x)->localClient->operflags & OPER_FLAG_GLOBAL_KILL : 0)
@@ -563,7 +571,7 @@
 #define IsOperWall(x)           (MyConnect(x) ? (x)->localClient->operflags & OPER_FLAG_OPERWALL : 0)
 #define IsOperRemoteBan(x)      (MyConnect(x) ? (x)->localClient->operflags & OPER_FLAG_REMOTEBAN : 0)
 #define IsOperHidden(x)         (MyConnect(x) ? (x)->localClient->operflags & OPER_FLAG_HIDDEN_OPER : 0)
-#define IsOperSnoop(x)         (MyConnect(x) ? (x)->localClient->operflags & OPER_FLAG_SNOOP : 0)
+#define IsOperSnoop(x)          (MyConnect(x) ? (x)->localClient->operflags & OPER_FLAG_SNOOP : 0)
 
 /*
  * definitions for get_client_name

Index: include/dbuf.h
===================================================================
--- include/dbuf.h	(.../1.0.1)	(revision 183)
+++ include/dbuf.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: dbuf.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: dbuf.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef __DBUF_H_INCLUDED

Index: include/s_gline.h
===================================================================
--- include/s_gline.h	(.../1.0.1)	(revision 183)
+++ include/s_gline.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_gline.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_gline.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_s_gline_h

Index: include/s_auth.h
===================================================================
--- include/s_auth.h	(.../1.0.1)	(revision 183)
+++ include/s_auth.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_auth.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_auth.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_s_auth_h

Index: include/hash.h
===================================================================
--- include/hash.h	(.../1.0.1)	(revision 183)
+++ include/hash.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hash.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: hash.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_hash_h

Index: include/listener.h
===================================================================
--- include/listener.h	(.../1.0.1)	(revision 183)
+++ include/listener.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: listener.h 516 2006-03-09 10:55:50Z michael $
+ *  $Id$
+ *  $Hybrid: listener.h 516 2006-03-09 10:55:50Z michael $
  */
 
 #ifndef INCLUDED_listener_h

Index: include/send.h
===================================================================
--- include/send.h	(.../1.0.1)	(revision 183)
+++ include/send.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: send.h 163 2005-10-20 21:09:02Z adx $
+ *  $Id$
+ *  $Hybrid: send.h 163 2005-10-20 21:09:02Z adx $
  */
 
 #ifndef INCLUDED_send_h

Index: include/hostmask.h
===================================================================
--- include/hostmask.h	(.../1.0.1)	(revision 183)
+++ include/hostmask.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hostmask.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: hostmask.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDE_hostmask_h

Index: include/s_bsd.h
===================================================================
--- include/s_bsd.h	(.../1.0.1)	(revision 183)
+++ include/s_bsd.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_bsd.h 549 2006-04-20 12:46:18Z michael $
+ *  $Id$
+ *  $Hybrid: s_bsd.h 549 2006-04-20 12:46:18Z michael $
  */
 
 #ifndef INCLUDED_s_bsd_h

Index: include/balloc.h
===================================================================
--- include/balloc.h	(.../1.0.1)	(revision 183)
+++ include/balloc.h	(.../1.0.2)	(revision 183)
@@ -21,7 +21,8 @@
 
 /*! \file balloc.h
  * \brief A block allocator
- * \version $Id: balloc.h 670 2006-06-12 12:20:55Z michael $
+ * \version $Id$
+ * \version $Hybrid: balloc.h 670 2006-06-12 12:20:55Z michael $
  * \todo Get rid of all typedefs in this file
  */
 

Index: include/tools.h
===================================================================
--- include/tools.h	(.../1.0.1)	(revision 183)
+++ include/tools.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: tools.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: tools.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef __TOOLS_H__

Index: include/hook.h
===================================================================
--- include/hook.h	(.../1.0.1)	(revision 183)
+++ include/hook.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hook.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: hook.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef __HOOK_H_INCLUDED

Index: include/handlers.h
===================================================================
--- include/handlers.h	(.../1.0.1)	(revision 183)
+++ include/handlers.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: handlers.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: handlers.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_handlers_h

Index: include/s_serv.h
===================================================================
--- include/s_serv.h	(.../1.0.1)	(revision 183)
+++ include/s_serv.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_serv.h 327 2005-12-25 09:55:48Z michael $
+ *  $Id$
+ *  $Hybrid: s_serv.h 327 2005-12-25 09:55:48Z michael $
  */
 
 #ifndef INCLUDED_serv_h

Index: include/numeric.h
===================================================================
--- include/numeric.h	(.../1.0.1)	(revision 183)
+++ include/numeric.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: numeric.h 660 2006-06-09 18:51:22Z adx $
+ *  $Id$
+ *  $Hybrid: numeric.h 660 2006-06-09 18:51:22Z adx $
  */
 
 #ifndef INCLUDED_numeric_h

Index: include/s_log.h
===================================================================
--- include/s_log.h	(.../1.0.1)	(revision 183)
+++ include/s_log.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_log.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_log.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_s_log_h

Index: include/irc_string.h
===================================================================
--- include/irc_string.h	(.../1.0.1)	(revision 183)
+++ include/irc_string.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: irc_string.h 633 2006-06-01 12:30:29Z db $
+ *  $Id$
+ *  $Hybrid: irc_string.h 633 2006-06-01 12:30:29Z db $
  */
 
 #ifndef INCLUDED_irc_string_h

Index: include/motd.h
===================================================================
--- include/motd.h	(.../1.0.1)	(revision 183)
+++ include/motd.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: motd.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: motd.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_motd_h

Index: include/fileio.h
===================================================================
--- include/fileio.h	(.../1.0.1)	(revision 183)
+++ include/fileio.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fileio.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: fileio.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_fileio_h

Index: include/modules.h
===================================================================
--- include/modules.h	(.../1.0.1)	(revision 183)
+++ include/modules.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: modules.h 512 2006-03-04 16:21:54Z michael $
+ *  $Id$
+ *  $Hybrid: modules.h 512 2006-03-04 16:21:54Z michael $
  */
 
 #ifndef INCLUDED_modules_h

Index: include/memory.h
===================================================================
--- include/memory.h	(.../1.0.1)	(revision 183)
+++ include/memory.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: memory.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: memory.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef _I_MEMORY_H

Index: include/parse.h
===================================================================
--- include/parse.h	(.../1.0.1)	(revision 183)
+++ include/parse.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: parse.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: parse.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_parse_h

Index: include/list.h
===================================================================
--- include/list.h	(.../1.0.1)	(revision 183)
+++ include/list.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: list.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: list.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_list_h

Index: include/userhost.h
===================================================================
--- include/userhost.h	(.../1.0.1)	(revision 183)
+++ include/userhost.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: userhost.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: userhost.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_userhost_h

Index: include/irc_reslib.h
===================================================================
--- include/irc_reslib.h	(.../1.0.1)	(revision 183)
+++ include/irc_reslib.h	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 /*
  * include/irc_reslib.h (C)opyright 1992 Darren Reed.
  *
- * $Id: irc_reslib.h 33 2005-10-02 20:50:00Z knight $
+ * $Id$
+ * $Hybrid: irc_reslib.h 33 2005-10-02 20:50:00Z knight $
  */
 #ifndef INCLUDED_ircdreslib_h
 #define INCLUDED_ircdreslib_h

Index: include/s_misc.h
===================================================================
--- include/s_misc.h	(.../1.0.1)	(revision 183)
+++ include/s_misc.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_misc.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_misc.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_s_misc_h

Index: include/ircd_signal.h
===================================================================
--- include/ircd_signal.h	(.../1.0.1)	(revision 183)
+++ include/ircd_signal.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_signal.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: ircd_signal.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_ircd_signal_h

Index: include/resv.h
===================================================================
--- include/resv.h	(.../1.0.1)	(revision 183)
+++ include/resv.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: resv.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: resv.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_resv_h

Index: include/s_stats.h
===================================================================
--- include/s_stats.h	(.../1.0.1)	(revision 183)
+++ include/s_stats.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_stats.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_stats.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_s_stats_h

Index: include/ircd.h
===================================================================
--- include/ircd.h	(.../1.0.1)	(revision 183)
+++ include/ircd.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: ircd.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_ircd_h

Index: include/event.h
===================================================================
--- include/event.h	(.../1.0.1)	(revision 183)
+++ include/event.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: event.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: event.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_event_h

Index: include/ircd_defs.h
===================================================================
--- include/ircd_defs.h	(.../1.0.1)	(revision 183)
+++ include/ircd_defs.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_defs.h 100 2005-10-09 14:43:13Z michael $
+ *  $Id$
+ *  $Hybrid: ircd_defs.h 100 2005-10-09 14:43:13Z michael $
  */
 
 /*
@@ -43,7 +44,7 @@
 
 #define USERLEN         10
 #define REALLEN         50
-#define KILLLEN         90
+#define KILLLEN         160
 #define LOCAL_CHANNELLEN 50
 #define CHANNELLEN      200
 #define REASONLEN       120

Index: include/sprintf_irc.h
===================================================================
--- include/sprintf_irc.h	(.../1.0.1)	(revision 183)
+++ include/sprintf_irc.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: sprintf_irc.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: sprintf_irc.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef SPRINTF_IRC

Index: include/irc_getaddrinfo.h
===================================================================
--- include/irc_getaddrinfo.h	(.../1.0.1)	(revision 183)
+++ include/irc_getaddrinfo.h	(.../1.0.2)	(revision 183)
@@ -26,7 +26,8 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- *  $Id: irc_getaddrinfo.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: irc_getaddrinfo.h 33 2005-10-02 20:50:00Z knight $
  */
 
 extern int irc_getaddrinfo(const char *hostname, const char *servname,

Index: include/rlimits.h
===================================================================
--- include/rlimits.h	(.../1.0.1)	(revision 183)
+++ include/rlimits.h	(.../1.0.2)	(revision 183)
@@ -4,7 +4,8 @@
  *
  *  This code is in the public domain.
  *
- *  $Id: rlimits.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: rlimits.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_rlimits_h

Index: include/restart.h
===================================================================
--- include/restart.h	(.../1.0.1)	(revision 183)
+++ include/restart.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: restart.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: restart.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_restart_h

Index: include/stdinc.h
===================================================================
--- include/stdinc.h	(.../1.0.1)	(revision 183)
+++ include/stdinc.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- * $Id: stdinc.h 536 2006-03-23 09:59:02Z michael $
+ * $Id$
+ * $Hybrid: stdinc.h 536 2006-03-23 09:59:02Z michael $
  *
  */
 

Index: include/fdlist.h
===================================================================
--- include/fdlist.h	(.../1.0.1)	(revision 183)
+++ include/fdlist.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fdlist.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: fdlist.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_fdlist_h

Index: include/rsa.h
===================================================================
--- include/rsa.h	(.../1.0.1)	(revision 183)
+++ include/rsa.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: rsa.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: rsa.h 33 2005-10-02 20:50:00Z knight $
  */
 #ifndef INCLUDED_rsa_h
 #define INCLUDED_rsa_h

Index: include/supported.h
===================================================================
--- include/supported.h	(.../1.0.1)	(revision 183)
+++ include/supported.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: supported.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: supported.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_supported_h

Index: include/msg.h
===================================================================
--- include/msg.h	(.../1.0.1)	(revision 183)
+++ include/msg.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: msg.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: msg.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_msg_h

Index: include/irc_res.h
===================================================================
--- include/irc_res.h	(.../1.0.1)	(revision 183)
+++ include/irc_res.h	(.../1.0.2)	(revision 183)
@@ -1,7 +1,8 @@
 /*
  * include/irc_res.h for referencing functions in src/irc_res.c
  *
- * $Id: irc_res.h 447 2006-02-12 02:59:16Z db $
+ * $Id$
+ * $Hybrid: irc_res.h 447 2006-02-12 02:59:16Z db $
  */
 
 #ifndef INCLUDED_irc_res_h

Index: include/patchlevel.h
===================================================================
--- include/patchlevel.h	(.../1.0.1)	(revision 183)
+++ include/patchlevel.h	(.../1.0.2)	(revision 183)
@@ -19,9 +19,10 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: patchlevel.h 858 2007-02-28 04:15:47Z lusky $
+ *  $Id$
+ *  $Hybrid: patchlevel.h 858 2007-02-28 04:15:47Z lusky $
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL   "esphyb-1.0.1"
+#define PATCHLEVEL   "esphyb-1.0.2"
 #endif

Index: include/common.h
===================================================================
--- include/common.h	(.../1.0.1)	(revision 183)
+++ include/common.h	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: common.h 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: common.h 33 2005-10-02 20:50:00Z knight $
  */
 
 #ifndef INCLUDED_common_h

Index: README.FIRST
===================================================================
--- README.FIRST	(.../1.0.1)	(revision 183)
+++ README.FIRST	(.../1.0.2)	(revision 183)
@@ -98,4 +98,5 @@
 - Other files recommended for reading: BUGS, INSTALL
 
 --------------------------------------------------------------------------------
-$Id: README.FIRST 33 2005-10-02 20:50:00Z knight $
+$Id$
+$Hybrid: README.FIRST 33 2005-10-02 20:50:00Z knight $

Index: src/crypt.c
===================================================================
--- src/crypt.c	(.../1.0.1)	(revision 183)
+++ src/crypt.c	(.../1.0.2)	(revision 183)
@@ -9,7 +9,8 @@
  *  this stuff is worth it, you can buy me a beer in return.  Poul-Henning Kamp
  *  ----------------------------------------------------------------------------
  *  
- *  $Id: crypt.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: crypt.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: src/m_error.c
===================================================================
--- src/m_error.c	(.../1.0.1)	(revision 183)
+++ src/m_error.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_error.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: m_error.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

Index: src/channel.c
===================================================================
--- src/channel.c	(.../1.0.1)	(revision 183)
+++ src/channel.c	(.../1.0.2)	(revision 183)
@@ -21,7 +21,8 @@
 
 /*! \file channel.c
  * \brief Responsible for managing channels, members, bans and topics
- * \version $Id: channel.c 675 2006-06-13 16:51:10Z adx $
+ * \version $Id$
+ * \version $Hybrid: channel.c 675 2006-06-13 16:51:10Z adx $
  */
 
 #include "stdinc.h"

